TourLanguage (gCube Guided Tour Widget 1.2.1-SNAPSHOT API)
Date: 2013-07-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.portlets.user.guidedtour.shared
Enum TourLanguage

    java.lang.Object
      java.lang.Enum<TourLanguage>
          org.gcube.portlets.user.guidedtour.shared.TourLanguage

All Implemented Interfaces:
  Serializable, Comparable<TourLanguage>

    public enum TourLanguage

extends Enum<TourLanguage>

Enum Constant Summary
`DE`
`EN`
`ES`
`FR`
`IT`
`JP`
`KP`
`PT`
`ZH`

Method Summary
`static TourLanguage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TourLanguage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EN

    public static final TourLanguage EN

### FR

    public static final TourLanguage FR

### DE

    public static final TourLanguage DE

### IT

    public static final TourLanguage IT

### JP

    public static final TourLanguage JP

### KP

    public static final TourLanguage KP

### ZH

    public static final TourLanguage ZH

### ES

    public static final TourLanguage ES

### PT

    public static final TourLanguage PT

Method Detail

### values

    public static TourLanguage[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TourLanguage c : TourLanguage.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TourLanguage valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.